cURL
curl --request GET \ --url https://partners.centaur.io/api/v1/traders/{traderId}/stats \ --header 'x-api-key: <api-key>'
{ "success": true, "data": { "subject": { "id": 123, "name": "<string>", "slug": "<string>", "avatarUrl": "<string>" }, "filtersApplied": { "assetIds": [ 123 ], "direction": "long", "appliedTimeRange": { "startTime": "2023-11-07T05:31:56Z", "endTime": "2023-11-07T05:31:56Z" } }, "summary": { "medianReturnPercentage": 123, "averageReturnPercentage": 123, "medianHoldingPeriodMinutes": 123, "winRatePercentage": 123, "assetFocus": [ { "asset": { "id": 123, "name": "<string>", "symbol": "<string>", "logoUrl": "<string>" }, "positionsCount": 123, "sharePercentage": 123 } ], "directionBias": { "label": "long", "longCount": 123, "shortCount": 123, "longPercentage": 123, "shortPercentage": 123 } } }, "requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8" }
Partner API key issued by Centaur.
Trader ID to fetch stats for.
x >= 1
Filter to specific asset IDs.
Filter to a single direction: long or short.
long
short
Inclusive ISO-8601 lower time bound.
Inclusive ISO-8601 upper time bound.
Trader stats
true
Show child attributes
"c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"